#
from System.Collections.Generic import List
from System import Byte, Int32
#
MaxRange = 4
AoeEnemies = 2
#
def Ebolt(enemy):
    Spells.CastMagery("Energy Bolt", enemy)
    Misc.Pause(2000)
    return
#    
def Harm(enemy):
    Spells.CastMagery("Harm", enemy)
    Misc.Pause(850)
    return
#
def Fireball(enemy):
    Spells.CastMagery("Fireball", enemy)
    Misc.Pause(850)
    return
#
def Wither():
    Spells.CastNecro("Wither")
    Misc.Pause(850)
    return
#
def Lightning(enemy):
    Spells.CastMagery("Lightning", enemy)
    Misc.Pause(1100)
    return
#
def TidalRush():
    Player.ChatSay(5, "[cs tidalrush")
    Misc.Pause(2500)
    return
#
def LightningWave():
    Player.ChatSay(5, "[cs lightningwave")
    Misc.Pause(3000)
    return
#
def PoisonDart(enemy):
    Player.ChatSay(5, "[cs PoisonDart")
    Target.WaitForTarget(2000)
    if Target.HasTarget():
        Target.TargetExecute(enemy)
    Misc.Pause(1000)    
    return    
# 
def Bombard(enemy):
    Player.ChatSay(5, "[cs Bombard")
    Target.WaitForTarget(2000)
    if Target.HasTarget():
        Target.TargetExecute(enemy)
        Misc.Pause(500)    
    return    
# 
def NetherBolt(enemy):
    Player.ChatSay(5, "[cs Netherbolt")
    Target.WaitForTarget(2000)
    if Target.HasTarget():
        Target.TargetExecute(enemy)
        Misc.Pause(500)    
    return    
#        
def GetEnemies():    
    enemy_filter = Mobiles.Filter()
    enemy_filter.Enabled = True
    enemy_filter.RangeMin = -1
    enemy_filter.RangeMax = MaxRange
    enemy_filter.Notorieties = List[Byte](bytes([3,4,5,6]))    
    enemies = Mobiles.ApplyFilter(enemy_filter)    
    return enemies
#
MonsterTable = [("dragon", PoisonDart), ("drake", PoisonDart), ("wyvern", Fireball), ] 
#Fireball
#PoisonDart(enemy)    
#NetherBolt(enemy)
#Ebolt(enemy)
#Bombard(enemy)        
#
def SelectSpell(enemy):
    spell = Harm   
    for entry in MonsterTable:
        if entry[0].lower() in enemy.Name.lower():
            spell = entry[1]
    return spell            
#
enemies = GetEnemies()
#Spells.CastSpellweaving("Arcane Empowerment")
#Misc.Pause(3000)    
while len(enemies) > 0:
    if len(enemies) >= AoeEnemies:
        #LightningWave()    
        Wither()
    if len(enemies) == 1:
        enemy = Mobiles.Select(enemies, 'Nearest')
        spellToCast = SelectSpell(enemy)
        spellToCast(enemy)
    enemies = GetEnemies()
        
    
        